Bug 982133 - [abrt] xscreensaver-gl-extras-5.21-9.fc19: do_blit_bitmap: Process /usr/libexec/xscreensaver/polyhedra was killed by signal 11 (SIGSEGV)
[abrt] xscreensaver-gl-extras-5.21-9.fc19: do_blit_bitmap: Process /usr/libex...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
abrt_hash:fc0794a2e938dc62f3f3312c131...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-08 04:30 EDT by Karel Volný
Modified: 2013-07-23 03:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-23 03:25:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (45.60 KB, text/plain)
2013-07-08 04:30 EDT, Karel Volný
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-08 04:30 EDT, Karel Volný
no flags Details
File: core_backtrace (1.10 KB, text/plain)
2013-07-08 04:30 EDT, Karel Volný
no flags Details
File: dso_list (3.11 KB, text/plain)
2013-07-08 04:31 EDT, Karel Volný
no flags Details
File: environ (3.09 KB, text/plain)
2013-07-08 04:31 EDT, Karel Volný
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-08 04:31 EDT, Karel Volný
no flags Details
File: maps (15.32 KB, text/plain)
2013-07-08 04:31 EDT, Karel Volný
no flags Details
File: open_fds (187 bytes, text/plain)
2013-07-08 04:31 EDT, Karel Volný
no flags Details
File: proc_pid_status (940 bytes, text/plain)
2013-07-08 04:31 EDT, Karel Volný
no flags Details
File: var_log_messages (330 bytes, text/plain)
2013-07-08 04:31 EDT, Karel Volný
no flags Details

  None (edit)
Description Karel Volný 2013-07-08 04:30:48 EDT
Description of problem:
another xscreensaver problem I just found in logs ...

Version-Release number of selected component:
xscreensaver-gl-extras-5.21-9.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        polyhedra -root
crash_function: do_blit_bitmap
executable:     /usr/libexec/xscreensaver/polyhedra
kernel:         3.9.8-300.fc19.x86_64
runlevel:       N 5
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 do_blit_bitmap at intel_pixel_bitmap.c:230
 #1 intelBitmap at intel_pixel_bitmap.c:353
 #2 _mesa_Bitmap at ../../../src/mesa/main/drawpix.c:346
 #3 execute_list at ../../../src/mesa/main/dlist.c:7353
 #4 _mesa_CallList at ../../../src/mesa/main/dlist.c:8733
 #5 print_gl_string at ../../../hacks/glx/glxfonts.c:624
 #6 startup_blurb at ../../../hacks/glx/polyhedra-gl.c:204
 #7 init_polyhedra at ../../../hacks/glx/polyhedra-gl.c:560
 #8 xlockmore_init at ../../../hacks/xlockmore.c:484
 #9 run_screenhack_table at ../../hacks/screenhack.c:536
Comment 1 Karel Volný 2013-07-08 04:30:52 EDT
Created attachment 770345 [details]
File: backtrace
Comment 2 Karel Volný 2013-07-08 04:30:55 EDT
Created attachment 770346 [details]
File: cgroup
Comment 3 Karel Volný 2013-07-08 04:30:59 EDT
Created attachment 770347 [details]
File: core_backtrace
Comment 4 Karel Volný 2013-07-08 04:31:02 EDT
Created attachment 770348 [details]
File: dso_list
Comment 5 Karel Volný 2013-07-08 04:31:06 EDT
Created attachment 770349 [details]
File: environ
Comment 6 Karel Volný 2013-07-08 04:31:09 EDT
Created attachment 770350 [details]
File: limits
Comment 7 Karel Volný 2013-07-08 04:31:13 EDT
Created attachment 770351 [details]
File: maps
Comment 8 Karel Volný 2013-07-08 04:31:18 EDT
Created attachment 770352 [details]
File: open_fds
Comment 9 Karel Volný 2013-07-08 04:31:21 EDT
Created attachment 770353 [details]
File: proc_pid_status
Comment 10 Karel Volný 2013-07-08 04:31:24 EDT
Created attachment 770354 [details]
File: var_log_messages
Comment 11 Mamoru TASAKA 2013-07-08 05:09:02 EDT
(Again please try updating. I also saw many GL-based xscreensaver hacks segv
 around 2013-07-02, but it seems no longer reproducible with around 2013-07-07 update)

Anyway reassigning.
Comment 12 Karel Volný 2013-07-22 11:46:16 EDT
(In reply to Mamoru TASAKA from comment #11)
> (Again please try updating. I also saw many GL-based xscreensaver hacks segv
>  around 2013-07-02, but it seems no longer reproducible with around
> 2013-07-07 update)

yes, the same, no new crashes after the update
Comment 13 Mamoru TASAKA 2013-07-23 03:25:43 EDT
Thank you. Once closing.

Note You need to log in before you can comment on or make changes to this bug.